=begin pod

=TITLE class X::NoDispatcher

    class X::NoDispatcher is Exception { }

Error thrown when a redispatcher like C<nextsame> is called without being in the
dynamic scope of a call that could possible redispatch.

For example

    nextsame

in the mainline dies with

    nextsame is not in the dynamic scope of a dispatcher

=head1 Methods

=head2 redispatcher

    method redispatcher() returns Str:D

Returns the name of the redispatcher function that did not succeed.

=end pod
